<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="primrage">
        <counters>
            <coins index="0" number="36" />
            <coins index="1" number="102" />
        </counters>
        <input>
            <port type="START1" mask="256" index="2" defvalue="256">
                <newseq type="standard">
                    KEYCODE_ENTER
                </newseq>
            </port>
            <port type="P1_BUTTON1" mask="512" index="3" defvalue="512">
                <newseq type="standard">
                    KEYCODE_L
                </newseq>
            </port>
            <port type="P1_BUTTON2" mask="1024" index="4" defvalue="1024">
                <newseq type="standard">
                    KEYCODE_COLON
                </newseq>
            </port>
            <port type="P1_BUTTON3" mask="2048" index="5" defvalue="2048">
                <newseq type="standard">
                    KEYCODE_QUOTE
                </newseq>
            </port>
            <port type="START2" mask="256" index="12" defvalue="256">
                <newseq type="standard">
                    KEYCODE_N
                </newseq>
            </port>
            <port type="P2_BUTTON1" mask="512" index="13" defvalue="512">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P2_BUTTON2" mask="1024" index="14" defvalue="1024">
                <newseq type="standard">
                    KEYCODE_2
                </newseq>
            </port>
            <port type="P2_BUTTON3" mask="2048" index="15" defvalue="2048">
                <newseq type="standard">
                    KEYCODE_3
                </newseq>
            </port>
            <port type="P2_JOYSTICK_RIGHT" mask="4096" index="16" defvalue="4096">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port type="P2_JOYSTICK_LEFT" mask="8192" index="17" defvalue="8192">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port type="P2_JOYSTICK_DOWN" mask="16384" index="18" defvalue="16384">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port type="P2_JOYSTICK_UP" mask="32768" index="19" defvalue="32768">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port type="P1_TOGGLE_AUTOFIRE" mask="1" index="50" defvalue="0" value="1">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="P1_CUSTOM1" mask="0" index="52" defvalue="0">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="P1_CUSTOM2" mask="0" index="53" defvalue="0">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="P1_CUSTOM3" mask="0" index="54" defvalue="0">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
            <port type="P1_CUSTOM4" mask="0" index="55" defvalue="0">
                <newseq type="standard">
                    NONE
                </newseq>
            </port>
        </input>
        <mixer>
            <volume_multiplier final="403" final_max="1287" mixer="550" mixer_max="2321" />
        </mixer>
    </system>
</mameconfig>
